package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 命题任务提交考务考生生参数
 * @Author: CaoZixuan
 * @Date: 2022-08-22
 */
public class ExamTaskStudentObjectParam {
    @ApiModelProperty("学生id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty("教学班id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long teachClazzId;

    @ApiModelProperty("是否启用")
    private boolean enable;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getTeachClazzId() {
        return teachClazzId;
    }

    public void setTeachClazzId(Long teachClazzId) {
        this.teachClazzId = teachClazzId;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }
}
